Package com.io7m.cardant.database.postgres.internal

# Record Class CADBQueryProviderType.Service<P,R,Q extends CADatabaseQueryType<P,R>>

java.lang.Object
java.lang.Record
com.io7m.cardant.database.postgres.internal.CADBQueryProviderType.Service<P,R,Q>

Type Parameters:
  `P` - The type of parameters
  `R` - The type of returned values
  `Q` - The precise query type
Record Components:
  `interfaceClass` - The interface registry class
  `constructor` - The constructor for the query

Enclosing interface:
  `CADBQueryProviderType`

public static record CADBQueryProviderType.Service<P,R,Q extends CADatabaseQueryType<P,R>>(Class<Q extends CADatabaseQueryType<P,R>> interfaceClass, Function<com.io7m.cardant.database.postgres.internal.CADatabaseTransaction,Q extends CADatabaseQueryType<P,R>> constructor) extends Record
The query provider information.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Service(Class<Q> interfaceClass, Function<com.io7m.cardant.database.postgres.internal.CADatabaseTransaction,Q> constructor)`
  The query provider information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Function<com.io7m.cardant.database.postgres.internal.CADatabaseTransaction,Q>`
  `constructor()`
  Returns the value of the `constructor` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<Q>`
  `interfaceClass()`
  Returns the value of the `interfaceClass` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Service

    public Service(Class<Q> interfaceClass, Function<com.io7m.cardant.database.postgres.internal.CADatabaseTransaction,Q> constructor)
    The query provider information.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### interfaceClass

    public Class<Q> interfaceClass()
    Returns the value of the `interfaceClass` record component.
    Returns:
      the value of the `interfaceClass` record component

  - ### constructor

    public Function<com.io7m.cardant.database.postgres.internal.CADatabaseTransaction,Q> constructor()
    Returns the value of the `constructor` record component.
    Returns:
      the value of the `constructor` record component